import { createApi } from "@reduxjs/toolkit/query/react";
import { baseQueryWithErrorHandling } from "core/helper/api";
import { TeamMember } from "core/types/team";

export const teamApi = createApi({
  reducerPath: "teamApi",
  baseQuery: baseQueryWithErrorHandling,
  endpoints: (builder) => ({
    getTeam: builder.query<TeamMember[], undefined>({
      query: () => ({
        url: "team/members",
        method: "GET",
      }),
    }),
  }),
});

export const { useGetTeamQuery } = teamApi;
